<template>
  <div id="moved">
    <div class="containerBtn">
      <div>
        <span v-show="boxindex == 1"
              v-for="(item, index) in oneindex"
              :key="index"
              class="ischoose"
              @click="choosebtn(index)">
          <span class="icon"
                :style="{ background: `url(${item.src})` }"></span>
          {{ item.name }}
        </span>
      </div>
      <div>
        <span v-show="boxindex == 2"
              v-for="(item, index) in twoindex"
              :key="index"
              class="ischoose"
              @click="choosebtn1(index)">
          <span class="icon"
                :style="{ background: `url(${item.src})` }"></span>
          {{ item.name }}
        </span>
      </div>
      <div>
        <span v-show="boxindex == 3"
              v-for="(item, index) in threeindex"
              :key="index"
              class="ischoose"
              @click="choosebtn2(index)">
          <span class="icon"
                :style="{ background: `url(${item.src})` }"></span>
          {{ item.name }}
        </span>
      </div>
      <div>
        <span v-show="boxindex == 4"
              v-for="(item, index) in fourindex"
              :key="index"
              class="ischoose"
              @click="choosebtn3(index)">
          <span class="icon"
                :style="{ background: `url(${item.src})` }"></span>
          {{ item.name }}
        </span>
      </div>
      <div>
        <span v-show="boxindex == 5"
              v-for="(item, index) in fiveindex"
              :key="index"
              class="ischoose"
              @click="choosebtn4(index)">
          <span class="icon"
                :style="{ background: `url(${item.src})` }"></span>
          {{ item.name }}
        </span>
      </div>
    </div>
  </div>
</template>
<script>
import bus from "../../utils/bus";
export default {
  data () {
    return {
      oneindex: [
        {
          name: "态势分析",
          choose: false,
          src: require("@/assets/image/botbtn/态势分析.png"),
        },
        {
          name: "态势比对",
          choose: false,
          src: require("@/assets/image/botbtn/态势对比.png"),
        },
        {
          name: "动态播放",
          choose: false,
          src: require("@/assets/image/botbtn/态势分析.png"),
        },
      ],
      twoindex: [
        {
          name: "频谱占用度分析",
          choose: false,
          src: require("@/assets/image/botbtn/频率占用度分析.png"),
        },
        {
          name: "频段占用度分析",
          choose: false,
          src: require("@/assets/image/botbtn/频段占用度分析.png"),
        },
        {
          name: "用频密度分析",
          choose: false,
          src: require("@/assets/image/botbtn/用频密度分析.png"),
        },
        {
          name: "信号覆盖率分析",
          choose: false,
          src: require("@/assets/image/botbtn/信号覆盖率分析.png"),
        },
        {
          name: "空闲频率资源分析",
          choose: false,
          src: require("@/assets/image/botbtn/空闲频率资源分析.png"),
        },
        {
          name: "用频合规分析",
          choose: false,
          src: require("@/assets/image/botbtn/用频合规分析.png"),
        },
      ],
      threeindex: [
        {
          name: "场强覆盖评估",
          choose: false,
          src: require("@/assets/image/botbtn/场强覆盖评估.png"),
        },
        {
          name: "场强覆盖评估(多选)",
          choose: false,
          src: require("@/assets/image/botbtn/场强覆盖评估.png"),
        },
        {
          name: "监测站覆盖能力评估",
          choose: false,
          src: require("@/assets/image/botbtn/监测站覆盖能力评估.png"),
        },
        {
          name: "监测网覆盖能力评估",
          choose: false,
          src: require("@/assets/image/botbtn/监测网覆盖能力评估.png"),
        },
      ],
      fourindex: [
        {
          name: "固定监测数据回放",
          choose: false,
          src: require("@/assets/image/botbtn/固定监测数据回放.png"),
        },
        {
          name: "移动监测数据回放",
          choose: false,
          src: require("@/assets/image/botbtn/移动监测数据回放.png"),
        },
        {
          name: "台站管理",
          choose: false,
          src: require("@/assets/image/botbtn/台站管理.png"),
        },
        {
          name: "监测站管理",
          choose: false,
          src: require("@/assets/image/botbtn/监测站管理.png"),
        },
        {
          name: "测试台站管理",
          choose: false,
          src: require("@/assets/image/botbtn/测试台站管理.png"),
        },
      ],
      fiveindex: [
        {
          name: "数据分析报告",
          choose: false,
          src: require("@/assets/image/botbtn/数据分析报告.png"),
        },
      ],
      boxindex: 0,
      nowchoose: 0,
    };
  },
  methods: {
    choosebtn (index) {
      alert(index)
      if(index===2) {
        this.nowchoose=1;
        bus.$emit("showdio",this.nowchoose);
      }
      if(index===0) {
        // 电磁环境态势
        this.nowchoose=2;
        bus.$emit("showdio",this.nowchoose);
      }
      // if (index === 1 ) {
      //     bus.$emit("openplay", true)
      // }
      //态势图动态播放
    },
    choosebtn1 (index) {
      if(index===1) {
        this.nowchoose=3;
        bus.$emit("showdio",this.nowchoose);
      }
      //空闲频率资源分析
      if(index===4) {
        this.nowchoose="1-4";
        bus.$emit("showdio",this.nowchoose);
      }
    },
    choosebtn2 (index) {
      if(index===0) {
        this.nowchoose=5;
        bus.$emit("showdio",this.nowchoose);
      }
      if(index===1) {
        this.nowchoose="1-2";
        bus.$emit("showdio",this.nowchoose);
      }

      if(index===2) {
        this.nowchoose=4;
        bus.$emit("showdio",this.nowchoose);
      }

      // 监测网覆盖能力评估
      if(index===3) {
        this.nowchoose=6;
        bus.$emit("showdio",this.nowchoose);
      }
    },
    choosebtn3 (index) { },
    choosebtn4 (index) { },
    //边框的显示隐藏
  },
  mounted () {
    bus.$on("showindex",(e) => {
      if(this.boxindex==e) {
        this.boxindex=0;
      } else {
        this.boxindex=e;
      }
    });
  },
};
</script>
<style  scoped>
.containerBtn {
  width: 2100px;
  position: absolute;
  top: 1980px;
  left: 1460px;
  display: flex;
  height: 0px;
  justify-content: space-between;
}
.containerBtn > div {
  display: flex;
  flex-direction: column-reverse;
  font-size: 30px;
  line-height: 70px;
  letter-spacing: 2px;
  font-weight: bold;
  color: #ffffff;
}
.containerBtn > div > span {
  display: block;
  width: 380px;
  height: 70px;
  text-align: center;
  background: url(~@/assets/image/botbtn/5.png);
  background-size: 100% 100%;
  margin-top: 3px;
  cursor: pointer;
}
.icon {
  display: inline-block;
  width: 50px;
  height: 40px;
  transform: translateY(10px);
  background-size: 100% 100% !important;
  background-position: center;
}
.ischoose:hover {
  background: url(~@/assets/image/botbtn/active.png) !important;
  background-size: 100% 100%;
  background-position: center;
  color: bisque;
}
</style>